package com.sybotan.service.models.requests

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 删除请求对象基类
 *
 * @author  庞利祥 <sybotan@126.com>
 */
@ApiModel(description = "删除请求对象基类")
open class SDeleteRequest<KEY: Any> {
    /** 删除内容 */
    @ApiModelProperty(value = "删除内容", required = true)
    lateinit var keyList: ArrayList<KEY>
}  // Class SDeleteRequest